http_loggers
Get all HTTP loggers
GET
/
http_loggers
Get all HTTP loggers
curl --request GET \
--url https://app.pentest-tools.com/api/v2/http_loggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pentest-tools.com/api/v2/http_loggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pentest-tools.com/api/v2/http_loggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"label": "mypentest",
"id": 123,
"handler_url": "https://pentest-tools.com/logger/55iIAkDkGn",
"active_days": 42,
"num_requests": 32,
"requests_left": 100
}
]
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Query Parameters
ID of the workspace to show HTTP loggers from. If not set, all of them will be returned.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get all HTTP loggers
